Bug 445312 - kernel error breaking ipw2200
kernel error breaking ipw2200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 00:14 EDT by Chris Ricker
Modified: 2009-01-09 01:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:28:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2008-05-06 00:14:47 EDT
kernel-2.6.24.5-85.fc8 i386 on a fully updated F8 box

I got the following series of oopses:

May  5 23:32:17 d600 kernel: irq 5: nobody cared (try booting with the "irqpoll"
 option)
May  5 23:32:17 d600 kernel: Pid: 2937, comm: firefox-bin Not tainted 2.6.24.5-8
5.fc8 #1
May  5 23:32:17 d600 kernel:  [<c046131a>] __report_bad_irq+0x36/0x75
May  5 23:32:17 d600 kernel:  [<c0461534>] note_interrupt+0x1db/0x217
May  5 23:32:17 d600 kernel:  [<c046097b>] handle_IRQ_event+0x23/0x51
May  5 23:32:17 d600 kernel:  [<c0461e85>] handle_level_irq+0x88/0xb7
May  5 23:32:17 d600 kernel:  [<c0461dfd>] handle_level_irq+0x0/0xb7
May  5 23:32:17 d600 kernel:  [<c0407688>] do_IRQ+0x8c/0xb8
May  5 23:32:17 d600 kernel:  [<c0405bbf>] common_interrupt+0x23/0x28
May  5 23:32:17 d600 kernel:  [<c0433603>] __do_softirq+0x57/0xd3
May  5 23:32:17 d600 kernel:  [<c040759a>] do_softirq+0x6c/0xce
May  5 23:32:17 d600 kernel:  [<c0461dfd>] handle_level_irq+0x0/0xb7
May  5 23:32:17 d600 kernel:  [<c04334d5>] irq_exit+0x38/0x6b
May  5 23:32:17 d600 kernel:  [<c040769b>] do_IRQ+0x9f/0xb8
May  5 23:32:17 d600 kernel:  [<c0408050>] do_syscall_trace+0x4b/0xde
May  5 23:32:17 d600 kernel:  [<c0432e51>] sys_gettimeofday+0x27/0x53
May  5 23:32:17 d600 kernel:  [<c0405bbf>] common_interrupt+0x23/0x28
May  5 23:32:17 d600 kernel:  [<c0620000>] xfrm_add_pol_expire+0x35/0x1da
May  5 23:32:17 d600 kernel:  =======================
May  5 23:32:17 d600 kernel: handlers:
May  5 23:32:17 d600 kernel: [<f89a8c1f>] (ipw_isr+0x0/0x9b [ipw2200])
May  5 23:32:17 d600 kernel: [<f89f5fa3>] (snd_intel8x0_interrupt+0x0/0x1e1 [snd
_intel8x0])
May  5 23:32:17 d600 kernel: Disabling IRQ #5
May  5 23:32:17 d600 kernel: ipw2200: HOST_CMD_DONE

May  5 23:40:42 d600 kernel: BUG: unable to handle kernel paging request at virt
ual address ffffffbb
May  5 23:40:42 d600 kernel: printing eip: c04fcea1 *pde = 00799067 *pte = 00000
000 
May  5 23:40:42 d600 kernel: Oops: 0000 [#1] SMP 
May  5 23:40:42 d600 kernel: Modules linked in: ppp_mppe ppp_async crc_ccitt ppp
_generic slhc arc4 ecb blkcipher ieee80211_crypt_wep cpufreq_ondemand acpi_cpufr
eq dm_mirror dm_multipath dm_mod radeon drm ipv6 snd_intel8x0 snd_ac97_codec ac9
7_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq parport_pc parport sn
d_seq_device snd_pcm_oss snd_mixer_oss snd_pcm ipw2200 snd_timer snd pcspkr ieee
80211 ieee80211_crypt r8169 soundcore snd_page_alloc iTCO_wdt iTCO_vendor_suppor
t video output button battery ac joydev sg dcdbas sr_mod cdrom ata_generic pata_
acpi ata_piix libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
May  5 23:40:42 d600 kernel: 
May  5 23:40:42 d600 kernel: Pid: 2937, comm: firefox-bin Not tainted (2.6.24.5-
85.fc8 #1)
May  5 23:40:42 d600 kernel: EIP: 0060:[<c04fcea1>] EFLAGS: 00210046 CPU: 0
May  5 23:40:42 d600 kernel: EIP is at radix_tree_gang_lookup+0xa0/0x13e
May  5 23:40:42 d600 kernel: EAX: 00000000 EBX: 00000000 ECX: 00000006 EDX: 0000
0000
May  5 23:40:42 d600 kernel: ESI: 00000002 EDI: 00000006 EBP: ffffffab ESP: f51f
8dc4
May  5 23:40:42 d600 kernel:  DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
May  5 23:40:42 d600 kernel: Process firefox-bin (pid: 2937, ti=f51f8000 task=f5
2ab3b0 task.ti=f51f8000)
May  5 23:40:42 d600 kernel: Stack: 00000000 f51f8e50 0003ffff 00000000 0000000e
 f51f8e50 f5303000 f762d018 
May  5 23:40:42 d600 kernel:        0000000e 00000000 f6394520 f51f8e50 c046b081
 0000000e 00000000 f51f8e48 
May  5 23:40:42 d600 kernel:        f6397198 00000000 c046fe68 f51f8e50 ffffffff
 ffffffff c04704e8 0000000e 
May  5 23:40:42 d600 kernel: Call Trace:
May  5 23:40:42 d600 kernel:  [<c046b081>] find_get_pages+0x28/0x62
May  5 23:40:42 d600 kernel:  [<c046fe68>] pagevec_lookup+0x1c/0x22
May  5 23:40:42 d600 kernel:  [<c04704e8>] truncate_inode_pages_range+0x11d/0x2e
3
May  5 23:40:42 d600 kernel:  [<f8876463>] journal_stop+0x15d/0x169 [jbd]
May  5 23:40:42 d600 kernel:  [<f88acc73>] ext3_rename+0x429/0x437 [ext3]
May  5 23:40:42 d600 kernel:  [<c04706c5>] truncate_inode_pages+0x17/0x1a
May  5 23:40:42 d600 kernel:  [<f88a89bc>] ext3_delete_inode+0x13/0xba [ext3]
May  5 23:40:42 d600 kernel:  [<f88a89a9>] ext3_delete_inode+0x0/0xba [ext3]
May  5 23:40:42 d600 kernel:  [<c0499453>] generic_delete_inode+0x91/0xf7
May  5 23:40:42 d600 kernel:  [<c0498d41>] iput+0x60/0x62
May  5 23:40:42 d600 kernel:  [<c0497201>] d_kill+0x19/0x32
May  5 23:40:42 d600 kernel:  [<c0497f8e>] dput+0xd0/0xd7
May  5 23:40:42 d600 kernel:  [<c04917aa>] sys_renameat+0x163/0x1b4
May  5 23:40:42 d600 kernel:  [<c043eed9>] autoremove_wake_function+0x0/0x35
May  5 23:40:42 d600 kernel:  [<c045deca>] audit_syscall_exit+0x2c7/0x2e3
May  5 23:40:42 d600 kernel:  [<c045dbd9>] audit_syscall_entry+0x10d/0x137
May  5 23:40:42 d600 kernel:  [<c0491822>] sys_rename+0x27/0x2b
May  5 23:40:42 d600 kernel:  [<c04051da>] syscall_call+0x7/0xb
May  5 23:40:42 d600 kernel:  [<c0620000>] xfrm_add_pol_expire+0x35/0x1da
May  5 23:40:42 d600 kernel:  =======================
May  5 23:40:42 d600 kernel: Code: 89 4c 24 10 89 44 24 14 8b 32 85 f6 0f 84 89 
00 00 00 6b c6 06 89 d5 8d 78 fa eb 47 89 d8 89 f9 d3 e8 83 e0 3f 89 04 24 8b 14
 24 <83> 7c 95 10 00 75 20 ba 01 00 00 00 89 f9 d3 e2 89 d0 f7 d8 21 
May  5 23:40:42 d600 kernel: EIP: [<c04fcea1>] radix_tree_gang_lookup+0xa0/0x13e
 SS:ESP 0068:f51f8dc4
May  5 23:40:42 d600 kernel: ---[ end trace 1cbb1aadb093cc9e ]---
May  5 23:40:42 d600 kernel: ipw2200: Failed to send ASSOCIATE: Command timed ou
t.
May  5 23:40:42 d600 kernel: ipw2200: Failed to send CARD_DISABLE: Command timed
 out.
May  5 23:40:42 d600 kernel: ACPI: PCI interrupt for device 0000:02:03.0 disable
d


At this point, the console flooded with messages about PCI IRQ #5 being
disabled, and the network (ipw2200) was no longer working

I then unloaded and reloaded ipw2200 module, and got

May  5 23:40:42 d600 kernel: ipw2200: Intel(R) PRO/Wireless 2200/2915 Network Dr
iver, 1.2.2kmprq
May  5 23:40:42 d600 kernel: ipw2200: Copyright(c) 2003-2006 Intel Corporation
May  5 23:40:42 d600 kernel: ACPI: PCI Interrupt 0000:02:03.0[A] -> Link [LNKB] 
-> GSI 5 (level, low) -> IRQ 5
May  5 23:40:42 d600 kernel: ipw2200: Detected Intel PRO/Wireless 2200BG Network
 Connection
May  5 23:40:42 d600 kernel: ipw2200: Failed to send TX_POWER: Command timed out
.
May  5 23:40:42 d600 kernel:last message repeated 4 times
May  5 23:40:42 d600 kernel: ipw2200: Unable to initialize device after 5 attemp
ts.
May  5 23:40:42 d600 kernel: ipw2200: failed to register network device
May  5 23:40:42 d600 kernel: ACPI: PCI interrupt for device 0000:02:03.0 disable
d
May  5 23:40:42 d600 kernel: ipw2200: probe of 0000:02:03.0 failed with error -5


I finally rebooted to regain ipw2200 functionality
Comment 1 Bug Zapper 2008-11-26 05:39:06 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:28:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.